//*****************************************************************************
//
// File Name   : adc.h  
// Author      : D. Festing
// Created     : 6/5/2009
// Revised     : 
// Version     : 1.0
// Target MCU  : Atmel AVR series
// Editor Tabs	: 3
//
// Description : This file includes #defines and typedefs for the adc.c and
//               webserver files for the Pigeon Bay project
//
//*****************************************************************************


#ifndef ADC_H_
#define ADC_H_


#include <stdint.h>


#define NUMBER_OF_INSERTION_CHARACTERS 5 // room for an int as an ASCII string
#define NUMBER_OF_ADCs 5


// NUMBER_OF_INSERTION_CHARACTERS plus one for '\0'
// plus another for a possible - sign, just to be real safe
typedef struct{
      char ADC_0[NUMBER_OF_INSERTION_CHARACTERS + 2]; 
      char ADC_1[NUMBER_OF_INSERTION_CHARACTERS + 2];
      char ADC_2[NUMBER_OF_INSERTION_CHARACTERS + 2];
      char ADC_3[NUMBER_OF_INSERTION_CHARACTERS + 2];
      char ADC_4[NUMBER_OF_INSERTION_CHARACTERS + 2];
      uint8_t count[NUMBER_OF_ADCs];
   }ADC_data_s;


void adc_init(void);
void AdcDoConversions(void);
void get_ADC_data(const ADC_data_s *ADC_data_copy_ptr);


#endif /*ADC_H_*/
