/* Name: dac.h
   Purpose: define parameters and functions used in dac.c
   Author: Dave Festing
   Date: 9 May 2009
*/

#ifndef DAC_H
#define DAC_H


#include <stdint.h>


#define DAC_SELECT() (PORTB |= (1<<PB0))
#define DAC_DESELECT() (PORTB &= ~(1<<PB0))

#define NUMBER_OF_DAC_CHARACTERS 3 // room for a byte as an ASCII string
#define NUMBER_OF_DACs 4


// NUMBER_OF_DAC_CHARACTERS plus one for '\0'
typedef struct{
      char DAC_1[NUMBER_OF_DAC_CHARACTERS + 1];
      char DAC_2[NUMBER_OF_DAC_CHARACTERS + 1];
      char DAC_3[NUMBER_OF_DAC_CHARACTERS + 1];
      char DAC_4[NUMBER_OF_DAC_CHARACTERS + 1];
      uint8_t count[NUMBER_OF_DACs + 1]; // because DAC channels start at ONE
   }DAC_data_s;


void load_DAC(uint8_t address, uint8_t value);

void set_DAC_data(const DAC_data_s *DAC_data_set_ptr);
void get_DAC_data(const DAC_data_s *DAC_data_get_ptr);


#endif
