//*****************************************************************************
//
// File Name   : usart.h
// Author      : Pascal Stang - Copyright (C) 2000-2002
// Created     : 11/22/2000
// Revised by  : D. Festing
// Revised     : 14/7/2008
// Version     : 1.0
// Target MCU  : Atmel AVR series
// 
// Description : This include file identifies the functions and variables
//               used for serial communication (SCI)
//
//*****************************************************************************

#ifndef USART_H
#define USART_H


#include "buffer.h"


#define USART_RX_BUFFER_SIZE 64
#define USART_INTERRUPT_HANDLER ISR


void usartInit(void);
void usartSendByte(uint8_t data);


uint8_t usartReceiveByte(uint8_t* data);


#endif



